﻿using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CandidateReviewContracts.StoragesContracts
{
    public interface IAssessmentCriterionStorage
    {
        AssessmentCriterionViewModel? Insert(AssessmentCriterionModel model);
        List<AssessmentCriterionViewModel> GetFullList();
        List<AssessmentCriterionViewModel> GetFilteredList(AssessmentCriterionSearchModel model);
    }
}
